xss-sanitize-0.3.1: sanitize untrusted HTML to prevent XSS attacks

Text.HTML.SanitizeXSS

Synopsis

- sanitize :: Text -> Text
- sanitizeBalance :: Text -> Text
- sanitizeXSS :: Text -> Text
- filterTags :: ([Tag Text] -> [Tag Text]) -> Text -> Text
- safeTags :: [Tag Text] -> [Tag Text]

# Documentation

sanitize :: Text -> Text

santize the html to prevent XSS attacks. See README.md http://github.com/gregwebs/haskell-xss-sanitize for more details

sanitizeBalance :: Text -> Text

same as sanitize but makes sure there are no lone closing tags. See README.md http://github.com/gregwebs/haskell-xss-sanitize for more details

sanitizeXSS :: Text -> Text

alias of sanitize function

filterTags :: ([Tag Text] -> [Tag Text]) -> Text -> Text

insert custom tag filtering. Don't forget to compose your filter with safeTags!

safeTags :: [Tag Text] -> [Tag Text]

Filters out any usafe tags and attributes. Use with filterTags to create a custom filter.